#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-HEPfmDZSvDUKUd7b1La1eu
key:                  ghcide-2.0.0.0-HEPfmDZSvDUKUd7b1La1eu
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  5f66d969c896b4815701fee83732ba58
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-HEPfmDZSvDUKUd7b1La1eu
depends:
    Diff-0.4.1-LlG9CqI0BWmDdGO3rVr0iN
    Glob-0.10.2-9hWgNPk7TOD9yx3wvaRjo6
    aeson-2.1.2.1-JiLBJfeE1bfHXFEKMVOO2u
    aeson-pretty-0.8.10-HfEhE0zOF4xHB7Ka9Y4Hnj array-0.5.4.0
    async-2.2.5-7zRWRGcsDHK4x7TGVl8w2c base-4.17.2.1
    base16-bytestring-1.0.2.0-L60Rqi32njv1QNA4jOe3ZV binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-FZkso54i68UDZy9QWLkbnV
    co-log-core-0.3.2.5-4hQp3hwpV9NJKGuCwP8VfL containers-0.6.7
    cryptohash-sha1-0.11.101.0-CKxVq2LIxfzF3uHwiR13xj
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-2EFxEO6GgOYHAOL3rcKPda
    dependent-sum-0.7.2.0-5gxQs1kb8oGL8b2z4H5xpf directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-GLrMqaoGsfz36hFno6GXjV exceptions-0.10.5
    extra-1.7.16-KbpUpvWqX7B2ZJd60bIoJY filepath-1.4.2.2
    fingertree-0.1.5.0-LqJf8RwZyCzH9Wcvq2jau
    focus-1.0.3.2-6sYoeDx6wL74Pc5WVP1fus ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-LqIei52sNfRIvySflkVD9G
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-HJ114jxNnE7ENt5CBYkiyA
    hashable-1.4.4.0-Jc2uKL4S7Fl9QLNJZYpfiY
    hie-bios-0.12.0-B3LWkARepnQAg7s8YcNyDE
    hie-compat-0.3.1.1-EX7c63LZz6m3PpO1VmTjuM
    hiedb-0.4.3.0-JkJHOxnBnJoJGIYkNjzUPC
    hls-graph-2.0.0.0-FSOtXczPc1LJmHjoCJAp1n
    hls-plugin-api-2.0.0.0-BNFhE67uoCFIjz6RU6ZwxQ
    implicit-hie-0.1.2.7-C9JabDG9IMhLEF6CS7GieT
    implicit-hie-cradle-0.5.0.1-LVRpYykQ5r8LuKIGC4UFj8
    lens-5.2.3-9AEjEeJBhpoHKdWIynDmo3
    list-t-1.0.5.5-4aQV4XNw41kCFJhVmqYPLc
    lsp-1.6.0.0-HQ7bwb6ONr8F4xHOSZjNzh
    lsp-types-1.6.0.1-3OyLlEshc45Fih3TuXzjtm mtl-2.2.2
    opentelemetry-0.8.0-RxEcG7u5d9EhANzrXWnHl
    optparse-applicative-0.17.1.0-4tPjpOfYmOi9nj8To0UB1j
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-YZeVPJ7hdgBo4xX9BLpiP
    prettyprinter-ansi-terminal-1.1.3-R7fP1V9IT4D4PLJRMu3jU
    random-1.2.1.2-KXwyGxW8gFCDB692Rea4Jy
    regex-tdfa-1.3.2.4-GUFDQTNl9Qm24kitrEgUMB
    safe-exceptions-0.1.7.4-3Z5aHvleGFbLTLwdzNM383
    sorted-list-0.2.3.1-AU3Mx2hFMru1MY9GtucRoM
    sqlite-simple-0.4.19.0-4gVAr0d7b2G9ssCwOJfk1S stm-2.5.1.0
    stm-containers-1.2.1.1-49jqeSZEkq86Cv3oxMHyu7
    syb-0.7.2.4-HJAbU0lurQkHN7nU4EHwhb text-2.0.2
    text-rope-0.3-3WyxZqf1Ug6D08GpIPKdjp time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-4ouS4p8u42FHJEBnZmJiqL
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-7moq3V15ycBgVs1tpEAw
    vector-0.13.2.0-KDCTRjRQ0urK2B6TNAGAn8

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

